Name:		mstch
Version:	1.0.2
Release:	2%{?dist}
Summary:	{{mustache}} templates in C++11

Group:		Development/Libraries
License:	MIT
URL:		https://github.com/no1msd/mstch
# https://github.com/no1msd/mstch/archive/%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz

BuildRequires: devtoolset-2-gcc-c++ environment-modules devtoolset-2-build devtoolset-2-binutils devtoolset-2-libquadmath-devel
BuildRequires:	cmake322 boost160-devel

%description
mstch is a complete implementation of {{mustache}} templates using modern C++.
It's compliant with specifications v1.1.3, including the lambda module.

%prep
%setup -q


%build
. /etc/profile.d/modules.sh
module load rh boost cmake
mkdir build
cd build
cmake -DBOOST_ROOT=$BOOSTHOME -DBOOST_LIBRARYDIR=${BOOSTHOME}/%{_lib} ..
make

%install
. /etc/profile.d/modules.sh
module load rh boost cmake
cd build
cmake -DCMAKE_INSTALL_PREFIX=${RPM_BUILD_ROOT}/usr -P cmake_install.cmake
%if "%{_lib}" != "lib"
mv ${RPM_BUILD_ROOT}/usr/lib ${RPM_BUILD_ROOT}%{_libdir}
%endif

%files
%doc LICENSE README.md
%{_includedir}/mstch
%{_libdir}/libmstch.a
%{_libdir}/cmake/mstch

%changelog
* Mon Aug 22 2016 Josko Plazonic <plazonic@princeton.edu>
- initial build
